###############################################################################
# $Id: config.mk,v 1.21 2010/12/06 23:27:31 tw Exp $
#
# Configuration of the gds2000tools package.
#
# Copyright (C) 2008 - 2010 homas Weidenfeller
# 
# This file is part of gds2000tools.
# 
# gds2000tools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# gds2000tools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with gds2000tools.  If not, see <http://www.gnu.org/licenses/>.
###############################################################################

NAME		= gds2000tools
PREFIX		= /usr/local#		Prefix for installation directories
BINDIR		= $(PREFIX)/bin#	Where to install programs
LIBDIR		= $(PREFIX)/lib#	Where to install library components
MANDIR		= $(PREFIX)/man#	Root of where to install man pages
MAN1DIR		= $(MANDIR)/man1#	Where to install program man pages
MAN7DIR		= $(MANDIR)/man7#	Where to install reference man pages
DOCDIR		= /usr/share/doc/$(NAME)# Where to install add. documentation
UDEVDIR		= /etc/udev#            Where to place udev rules

#
# Helper programs to use
#
GNUPLOT		= gnuplot#		Which gnuplot to use
IMGVIEWER	= eog#			Use Eye-of-GNOME as image viewer

#
# Build features
#
HAS_OCTAVE	= 1#			Build gds-octave (requires GNU octave)
#HAS_OCTAVE	= 0#
HAS_UDEV	= 1#			Install udev rules
#HAS_udev	= 0#

#
# End of installation configuration
###############################################################################

###############################################################################
# Misc. configuration
###############################################################################

VERSION		= 0.14#			gds2000tools version
